Agora Java API Reference for Android

Public Member Functions | Protected Member Functions | List of all members
io.agora.rte.Config Class Reference

RTE configuration class, used to configure the `RTE` object. More...

## Public Member Functions
long | getNativeHandle ()
void | setAppId (String appId) throws RteException
| Sets the App ID. More...
String | getAppId () throws RteException
void | setLogFolder (String logFolder) throws RteException
String | getLogFolder () throws RteException
void | setLogFileSize (int logFileSize) throws RteException
int | getLogFileSize () throws RteException
void | setAreaCode (int areaCode) throws RteException
int | getAreaCode () throws RteException
void | setCloudProxy (String cloudProxy) throws RteException
String | getCloudProxy () throws RteException
void | setJsonParameter (String jsonParameter) throws RteException
| Configures technical preview or specially customized features of the SDK via JSON. More...
String | getJsonParameter () throws RteException

## Protected Member Functions
void | finalize ()

## Detailed Description

RTE configuration class, used to configure the `RTE` object.

Since
  v4.4.0

## Member Function Documentation

## ◆ setAppId()

void io.agora.rte.Config.setAppId | ( | String | appId | ) | throws RteException

Sets the App ID.

Since
  v4.4.0

Call timing: You must call this method before `initMediaEngine`.

Parameters

  appId | The App ID of your project, which you can obtain from the Console.

Exceptions

  RteException | If the method call fails, the SDK throws an `RteException` with the corresponding error information. You need to catch and handle the exception.

## ◆ getAppId()

String io.agora.rte.Config.getAppId | ( |  | ) | throws RteException

Get the set App ID.

Since
  v4.4.0

Returns
  String Returns the set App ID value.

## ◆ setLogFolder()

void io.agora.rte.Config.setLogFolder | ( | String | logFolder | ) | throws RteException

Set the log folder.

Since
  v4.4.0

Parameters

  logFolder | The log folder.

Exceptions

  RteException | @technical preview

## ◆ getLogFolder()

String io.agora.rte.Config.getLogFolder | ( |  | ) | throws RteException

Get the log folder.

Since
  v4.4.0

Returns
  The log folder.

Exceptions

  RteException | @technical preview

## ◆ setLogFileSize()

void io.agora.rte.Config.setLogFileSize | ( | int | logFileSize | ) | throws RteException

Set the log file size.

Since
  v4.4.0

Parameters

  logFileSize | The log file size.

Exceptions

  RteException | @technical preview

## ◆ getLogFileSize()

int io.agora.rte.Config.getLogFileSize | ( |  | ) | throws RteException

Get the log file size.

Since
  v4.4.0

Returns
  The log file size.

Exceptions

  RteException | @technical preview

## ◆ setAreaCode()

void io.agora.rte.Config.setAreaCode | ( | int | areaCode | ) | throws RteException

Set the area code.

Since
  v4.4.0

Parameters

  areaCode | The area code.

Exceptions

  RteException | @technical preview

## ◆ getAreaCode()

int io.agora.rte.Config.getAreaCode | ( |  | ) | throws RteException

Get the area code.

Since
  v4.4.0

Returns
  The area code.

Exceptions

  RteException | @technical preview

## ◆ setCloudProxy()

void io.agora.rte.Config.setCloudProxy | ( | String | cloudProxy | ) | throws RteException

Set the cloud proxy.

Since
  v4.4.0

Parameters

  cloudProxy | The cloud proxy.

Exceptions

  RteException | @technical preview

## ◆ getCloudProxy()

String io.agora.rte.Config.getCloudProxy | ( |  | ) | throws RteException

Get the cloud proxy.

Since
  v4.4.0

Returns
  The cloud proxy.

Exceptions

  RteException | @technical preview

## ◆ setJsonParameter()

void io.agora.rte.Config.setJsonParameter | ( | String | jsonParameter | ) | throws RteException

Configures technical preview or specially customized features of the SDK via JSON.

Since
  v4.4.0

Applicable scenarios: You can call this method when you need to set private parameters or use customized features. Call timing: This method must be called before `setConfigs(Config config)`.

Parameters

  jsonParameter | Parameters in JSON string format.

Exceptions

  RteException | If the method call fails, the SDK throws an `RteException` with corresponding error information. You need to catch and handle the exception.

## ◆ getJsonParameter()

String io.agora.rte.Config.getJsonParameter | ( |  | ) | throws RteException

Get the currently set JSON private parameters.

Since
  v4.4.0

Returns
  String The set JSON formatted parameter set.